%define upstream_name    Perl-MinimumVersion
%define upstream_version 1.32

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Find a minimum required version of perl for Perl code
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Find::Rule) >= 0.320.0
BuildRequires: perl(File::Find::Rule::Perl) >= 1.40.0
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(List::Util) >= 1.200.0
BuildRequires: perl(PPI) >= 1.215.0
BuildRequires: perl(PPIx::Regexp) >= 0.29.0
BuildRequires: perl(Params::Util) >= 0.250.0
BuildRequires: perl(Perl::Critic::Utils) >= 1.104.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Test::Script) >= 1.30.0
BuildRequires: perl(version) >= 0.760.0
BuildArch:  noarch

%description
'Perl::MinimumVersion' takes Perl source code and calculates the minimum
version of perl required to be able to run it. Because it is based on the
PPI manpage, it can do this without having to actually load the code.

Currently it tests both the syntax of your code, and the use of explicit
version dependencies such as 'require 5.005'.

Future plans are to also add support for tracing module dependencies.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.320.0-2.mga4
+ Revision: 527673
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 1.320.0-1.mga4
+ Revision: 441729
- update to 1.32

* Sun Jan 13 2013 umeabot <umeabot> 1.310.0-2.mga3
+ Revision: 371694
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.310.0-1.mga3
+ Revision: 342509
- update to 1.31

* Thu Mar 10 2011 jquelin <jquelin> 1.280.0-1.mga1
+ Revision: 67433
- update to 1.28

* Mon Feb 28 2011 jquelin <jquelin> 1.270.0-1.mga1
+ Revision: 61435
- update to 1.27

* Mon Jan 24 2011 jquelin <jquelin> 1.260.0-1.mga1
+ Revision: 37196
- mageia rebuild
- imported package perl-Perl-MinimumVersion

